## org.apache.cassandra.io.util
Class FileUtils

    java.lang.Object
      org.apache.cassandra.io.util.FileUtils

    public class FileUtils

extends java.lang.Object

Nested Class Summary
`static class` `FileUtils.FileComparator`

Constructor Summary
`FileUtils()`

Method Summary
`static void` `createDirectory(java.lang.String directory)`
`static void` `createFile(java.lang.String directory)`
`static void` `delete(java.io.File[] files)`
`static boolean` `delete(java.util.List<java.lang.String> files)`
`static boolean` `delete(java.lang.String file)`
`static void` `deleteDir(java.io.File dir)` Deletes all files and subdirectories under "dir".
`static void` `deleteWithConfirm(java.io.File file)`
`static boolean` `isExists(java.lang.String filename)`
`static java.lang.String` `stringifyFileSize(double value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

Method Detail

### deleteWithConfirm

    public static void deleteWithConfirm(java.io.File file)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### createDirectory

    public static void createDirectory(java.lang.String directory)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### createFile

    public static void createFile(java.lang.String directory)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### isExists

    public static boolean isExists(java.lang.String filename)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### delete

    public static boolean delete(java.lang.String file)

### delete

    public static boolean delete(java.util.List<java.lang.String> files)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### delete

    public static void delete(java.io.File[] files)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### stringifyFileSize

    public static java.lang.String stringifyFileSize(double value)

### deleteDir

    public static void deleteDir(java.io.File dir)
                          throws java.io.IOException

  Deletes all files and subdirectories under "dir".

  Parameters:
    `dir` - Directory to be deleted
  Throws:
    `java.io.IOException` - if any part of the tree cannot be deleted

Copyright © 2010 The Apache Software Foundation